# V2Api

All URIs are relative to *https://ncloud.apigw.ntruss.com/monitoring/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getListMetricsGet**](V2Api.md#getListMetricsGet) | **GET** /getListMetrics | 
[**getListMetricsPost**](V2Api.md#getListMetricsPost) | **POST** /getListMetrics | 
[**getMetricStatisticsGet**](V2Api.md#getMetricStatisticsGet) | **GET** /getMetricStatistics | 
[**getMetricStatisticsPost**](V2Api.md#getMetricStatisticsPost) | **POST** /getMetricStatistics | 


<a name="getListMetricsGet"></a>
# **getListMetricsGet**
> GetListMetricsResponse getListMetricsGet(getListMetricsRequest)



B.메트릭 리스트 조회

### Example
```java
// Import classes:
// import com.ntruss.apigw.ncloud.ApiClient;
// import com.ntruss.apigw.ncloud.ApiResponse;
// import com.ntruss.apigw.ncloud.auth.PropertiesFileCredentialsProvider;
// import com.ntruss.apigw.ncloud.marshaller.JsonMarshaller;
// import com.ntruss.apigw.ncloud.marshaller.XmlMarshaller;
// import com.ntruss.apigw.ncloud.marshaller.FormMarshaller;
// import com.ntruss.apigw.ncloud.exception.ApiException;
// import com.ntruss.apigw.ncloud.exception.SdkException;
// import com.ntruss.apigw.ncloud.model.*;

// import com.ntruss.apigw.ncloud.api.V2Api;

ApiClient apiClient = new ApiClient.ApiClientBuilder()
	.addMarshaller(JsonMarshaller.getInstance())
	.addMarshaller(XmlMarshaller.getInstance())
	.addMarshaller(FormMarshaller.getInstance())
	.setCredentials(new PropertiesFileCredentialsProvider("your-credentials-properties-file").getCredentials())
	.setLogging(true)
	.build();

V2Api apiInstance = new V2Api(apiClient);
GetListMetricsRequest getListMetricsRequest = new GetListMetricsRequest(); // GetListMetricsRequest | getListMetricsRequest
try {
	// Handler Successful response
	GetListMetricsResponse result = apiInstance.getListMetricsGet(getListMetricsRequest);
} catch (ApiException e) {
	// Handler Failed response
	int statusCode = e.getHttpStatusCode();
	Map<String, List<String>> responseHeaders = e.getHttpHeaders();
	InputStream byteStream = e.getByteStream();
	e.printStackTrace();
} catch (SdkException e) {
	// Handle exceptions that occurred before communication with the server
	e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **getListMetricsRequest** | [**GetListMetricsRequest**](GetListMetricsRequest.md)| getListMetricsRequest |

### Return type

[**GetListMetricsResponse**](GetListMetricsResponse.md)

### Authorization

[x-ncp-iam](../README.md#x-ncp-iam)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined

<a name="getListMetricsPost"></a>
# **getListMetricsPost**
> GetListMetricsResponse getListMetricsPost(getListMetricsRequest)



B.메트릭 리스트 조회

### Example
```java
// Import classes:
// import com.ntruss.apigw.ncloud.ApiClient;
// import com.ntruss.apigw.ncloud.ApiResponse;
// import com.ntruss.apigw.ncloud.auth.PropertiesFileCredentialsProvider;
// import com.ntruss.apigw.ncloud.marshaller.JsonMarshaller;
// import com.ntruss.apigw.ncloud.marshaller.XmlMarshaller;
// import com.ntruss.apigw.ncloud.marshaller.FormMarshaller;
// import com.ntruss.apigw.ncloud.exception.ApiException;
// import com.ntruss.apigw.ncloud.exception.SdkException;
// import com.ntruss.apigw.ncloud.model.*;

// import com.ntruss.apigw.ncloud.api.V2Api;

ApiClient apiClient = new ApiClient.ApiClientBuilder()
	.addMarshaller(JsonMarshaller.getInstance())
	.addMarshaller(XmlMarshaller.getInstance())
	.addMarshaller(FormMarshaller.getInstance())
	.setCredentials(new PropertiesFileCredentialsProvider("your-credentials-properties-file").getCredentials())
	.setLogging(true)
	.build();

V2Api apiInstance = new V2Api(apiClient);
GetListMetricsRequest getListMetricsRequest = new GetListMetricsRequest(); // GetListMetricsRequest | getListMetricsRequest
try {
	// Handler Successful response
	GetListMetricsResponse result = apiInstance.getListMetricsPost(getListMetricsRequest);
} catch (ApiException e) {
	// Handler Failed response
	int statusCode = e.getHttpStatusCode();
	Map<String, List<String>> responseHeaders = e.getHttpHeaders();
	InputStream byteStream = e.getByteStream();
	e.printStackTrace();
} catch (SdkException e) {
	// Handle exceptions that occurred before communication with the server
	e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **getListMetricsRequest** | [**GetListMetricsRequest**](GetListMetricsRequest.md)| getListMetricsRequest |

### Return type

[**GetListMetricsResponse**](GetListMetricsResponse.md)

### Authorization

[x-ncp-iam](../README.md#x-ncp-iam)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined

<a name="getMetricStatisticsGet"></a>
# **getMetricStatisticsGet**
> GetMetricStatisticsResponse getMetricStatisticsGet(getMetricStatisticsRequest)



A.메트릭 통계 조회

### Example
```java
// Import classes:
// import com.ntruss.apigw.ncloud.ApiClient;
// import com.ntruss.apigw.ncloud.ApiResponse;
// import com.ntruss.apigw.ncloud.auth.PropertiesFileCredentialsProvider;
// import com.ntruss.apigw.ncloud.marshaller.JsonMarshaller;
// import com.ntruss.apigw.ncloud.marshaller.XmlMarshaller;
// import com.ntruss.apigw.ncloud.marshaller.FormMarshaller;
// import com.ntruss.apigw.ncloud.exception.ApiException;
// import com.ntruss.apigw.ncloud.exception.SdkException;
// import com.ntruss.apigw.ncloud.model.*;

// import com.ntruss.apigw.ncloud.api.V2Api;

ApiClient apiClient = new ApiClient.ApiClientBuilder()
	.addMarshaller(JsonMarshaller.getInstance())
	.addMarshaller(XmlMarshaller.getInstance())
	.addMarshaller(FormMarshaller.getInstance())
	.setCredentials(new PropertiesFileCredentialsProvider("your-credentials-properties-file").getCredentials())
	.setLogging(true)
	.build();

V2Api apiInstance = new V2Api(apiClient);
GetMetricStatisticsRequest getMetricStatisticsRequest = new GetMetricStatisticsRequest(); // GetMetricStatisticsRequest | getMetricStatisticsRequest
try {
	// Handler Successful response
	GetMetricStatisticsResponse result = apiInstance.getMetricStatisticsGet(getMetricStatisticsRequest);
} catch (ApiException e) {
	// Handler Failed response
	int statusCode = e.getHttpStatusCode();
	Map<String, List<String>> responseHeaders = e.getHttpHeaders();
	InputStream byteStream = e.getByteStream();
	e.printStackTrace();
} catch (SdkException e) {
	// Handle exceptions that occurred before communication with the server
	e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **getMetricStatisticsRequest** | [**GetMetricStatisticsRequest**](GetMetricStatisticsRequest.md)| getMetricStatisticsRequest |

### Return type

[**GetMetricStatisticsResponse**](GetMetricStatisticsResponse.md)

### Authorization

[x-ncp-iam](../README.md#x-ncp-iam)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined

<a name="getMetricStatisticsPost"></a>
# **getMetricStatisticsPost**
> GetMetricStatisticsResponse getMetricStatisticsPost(getMetricStatisticsRequest)



A.메트릭 통계 조회

### Example
```java
// Import classes:
// import com.ntruss.apigw.ncloud.ApiClient;
// import com.ntruss.apigw.ncloud.ApiResponse;
// import com.ntruss.apigw.ncloud.auth.PropertiesFileCredentialsProvider;
// import com.ntruss.apigw.ncloud.marshaller.JsonMarshaller;
// import com.ntruss.apigw.ncloud.marshaller.XmlMarshaller;
// import com.ntruss.apigw.ncloud.marshaller.FormMarshaller;
// import com.ntruss.apigw.ncloud.exception.ApiException;
// import com.ntruss.apigw.ncloud.exception.SdkException;
// import com.ntruss.apigw.ncloud.model.*;

// import com.ntruss.apigw.ncloud.api.V2Api;

ApiClient apiClient = new ApiClient.ApiClientBuilder()
	.addMarshaller(JsonMarshaller.getInstance())
	.addMarshaller(XmlMarshaller.getInstance())
	.addMarshaller(FormMarshaller.getInstance())
	.setCredentials(new PropertiesFileCredentialsProvider("your-credentials-properties-file").getCredentials())
	.setLogging(true)
	.build();

V2Api apiInstance = new V2Api(apiClient);
GetMetricStatisticsRequest getMetricStatisticsRequest = new GetMetricStatisticsRequest(); // GetMetricStatisticsRequest | getMetricStatisticsRequest
try {
	// Handler Successful response
	GetMetricStatisticsResponse result = apiInstance.getMetricStatisticsPost(getMetricStatisticsRequest);
} catch (ApiException e) {
	// Handler Failed response
	int statusCode = e.getHttpStatusCode();
	Map<String, List<String>> responseHeaders = e.getHttpHeaders();
	InputStream byteStream = e.getByteStream();
	e.printStackTrace();
} catch (SdkException e) {
	// Handle exceptions that occurred before communication with the server
	e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **getMetricStatisticsRequest** | [**GetMetricStatisticsRequest**](GetMetricStatisticsRequest.md)| getMetricStatisticsRequest |

### Return type

[**GetMetricStatisticsResponse**](GetMetricStatisticsResponse.md)

### Authorization

[x-ncp-iam](../README.md#x-ncp-iam)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: Not defined

